- if @project.adjourned_deletion_configured? && (License.feature_available?(:adjourned_deletion_for_projects_and_groups) || @project.adjourned_deletion?)
  -# Adjourned deletion feature is configured and available globally or at the namespace level
  - if @project.marked_for_deletion_at.present?
    -# Project has already been marked for delayed deletion, permanently delete this project
    = render 'projects/delete_immediately'
  - else
    -# Mark for delayed deletion
    = render 'delete_delayed'
- else
  -# Adjourned deletion feature is not available, permanently delete the project
  = render 'projects/delete_immediately'

